Name:           ocaml-pipebang
Version:        108.07.01
Release:        %mkrel 3
Summary:        OCaml Pipe Bang Syntax extension
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/pipebang-%{version}.tar.gz
BuildRequires:  ocaml-compiler >= 3.10.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv == %{version}
BuildRequires:  camlp4
Requires:       ocaml-compiler
Requires:       camlp4
Requires:       ocaml-ounit

%description
The Pipe Bang syntax extension allows to transform x |! f into f x.

%prep
%setup -q -n pipebang-%{version}

%build
./configure
make

rm -f sample/.hgignore.in

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc LICENSE.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%doc sample/
%{_libdir}/ocaml/pa_pipebang


%changelog

* Sat Apr 13 2013 malo <malo> 108.07.01-3.mga3
+ Revision: 410057
- add missing requires

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319785
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301844
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300256
- updated to last version 108.07.00
- new rpm group for ocaml

* Wed Jul 25 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274266
- fix license.
- imported package ocaml-pipebang

